<?php

require __DIR__.'/vendor/autoload.php';
require __DIR__.'/vendor/zeedhi/framework/bootstrap.php';
require __DIR__.'/vendor/teknisa/libraries/scripts/bootstrap.php';

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();

$parameters     = __DIR__.'/config/parameters.xml';
$db             = __DIR__.'/config/db.xml';
$services       = __DIR__.'/config/services.xml';
$environment    = __DIR__.'/config/environment.xml';

$routes = array();

$routes[] = __DIR__.'/config/routes.json';

$instanceManager->loadFromFile($environment);
$instanceManager->loadFromFile($parameters);
$instanceManager->loadFromFile($db);
$instanceManager->loadFromFile($services);

$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));

$instanceManager->compile();
